summaryrefslogtreecommitdiffstats
path: root/aai-traversal/src/main
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-10-01 23:07:55 -0400
committerVenkata Harish K Kajur <vk250x@att.com>2017-10-01 23:08:05 -0400
commit78014e1e11a5fb33c68e1792ccb2b521f2f5dac4 (patch)
treed87e5be73bb3c6b441a24c98f9b9ffb7f937cfad /aai-traversal/src/main
parentbed3675b3616e089d8581b7cb755adb754e2f3f9 (diff)
Fix git clone issue to fail container startup
Also fix the call to update query script issue since in kubernetes environment, there is no guarantee that the haproxy will come up before the traversal container comes up so we need to modify aai.server.url to point to resources container Issue-ID: AAI-408 Change-Id: I46c4e75c10a7509541ea19113a3297de26f92677 Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-traversal/src/main')
-rw-r--r--aai-traversal/src/main/resources/docker/docker-entrypoint.sh6
-rw-r--r--aai-traversal/src/main/resources/docker/init-chef.sh4
2 files changed, 8 insertions, 2 deletions
diff --git a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
index f69e468..0310b24 100644
--- a/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
+++ b/aai-traversal/src/main/resources/docker/docker-entrypoint.sh
@@ -67,9 +67,15 @@ if [ -z ${DISABLE_UPDATE_QUERY} ]; then
UPDATE_QUERY_RAN_FILE="updateQueryRan.txt";
+ AAICONFIG_FILE=/opt/app/aai-traversal/bundleconfig/etc/appprops/aaiconfig.properties;
+
if [ ! -f ${UPDATE_QUERY_RAN_FILE} ]; then
+ OLD_RESOURCES_URL=$(grep -o "^aai.server.url=.*" ${AAICONFIG_FILE} | cut -d"=" -f2-);
+ TEMP_RESOURCES_URL=https://${RESOURCES_HOSTNAME}:${RESOURCES_PORT};
+ sed -i "s%^aai.server.url=.*$%aai.server.url=${TEMP_RESOURCES_URL}%g" ${AAICONFIG_FILE};
gosu aaiadmin /opt/app/aai-traversal/bin/install/updateQueryData.sh
touch ${UPDATE_QUERY_RAN_FILE};
+ sed -i "s%^aai.server.url=.*$%aai.server.url=${OLD_RESOURCES_URL}%g" ${AAICONFIG_FILE};
fi
fi
diff --git a/aai-traversal/src/main/resources/docker/init-chef.sh b/aai-traversal/src/main/resources/docker/init-chef.sh
index 52c35e3..a8802db 100644
--- a/aai-traversal/src/main/resources/docker/init-chef.sh
+++ b/aai-traversal/src/main/resources/docker/init-chef.sh
@@ -32,7 +32,7 @@ if [ ! -d "aai-config" ]; then
git clone --depth 1 -b ${CHEF_BRANCH} --single-branch ${CHEF_CONFIG_GIT_URL}/${CHEF_CONFIG_REPO}.git aai-config || {
echo "Error: Unable to clone the aai-config repo with url: ${CHEF_GIT_URL}/${CHEF_CONFIG_REPO}.git";
- exit;
+ exit 1;
}
fi
@@ -49,7 +49,7 @@ if [ ! -d "aai-data" ]; then
git clone --depth 1 -b ${CHEF_BRANCH} --single-branch ${CHEF_DATA_GIT_URL}/aai-data.git aai-data || {
echo "Error: Unable to clone the aai-data repo with url: ${CHEF_GIT_URL}";
- exit;
+ exit 1;
}
fi